public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/man-db/
Date: Fri, 18 Mar 2022 06:16:30 +0000 (UTC)	[thread overview]
Message-ID: <1647584169.93ba21145140b80ae1c11b1d88f603b4d610e22c.sam@gentoo> (raw)

commit:     93ba21145140b80ae1c11b1d88f603b4d610e22c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 18 04:11:06 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 18 06:16:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93ba2114

sys-apps/man-db: add 2.10.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/man-db/Manifest             |   1 +
 sys-apps/man-db/man-db-2.10.2.ebuild | 202 +++++++++++++++++++++++++++++++++++
 2 files changed, 203 insertions(+)

diff --git a/sys-apps/man-db/Manifest b/sys-apps/man-db/Manifest
index b705601b6d87..47fcf4b1a730 100644
--- a/sys-apps/man-db/Manifest
+++ b/sys-apps/man-db/Manifest
@@ -1,2 +1,3 @@
 DIST man-db-2.10.1.tar.xz 1890536 BLAKE2B b052a7006e1d47dfe7b82f82b6e6e47500ca1c8fa20716af7d3d4193ebde0b109f13f4ed3148c5e4bbc76f34d457ec71bf93ed88f9ab0f5da5b5e1c9066e6d70 SHA512 25a3c4e3d7b171faf0771885a7a7d502c4af801881777231c79d7ee9768c2e48e44afbf5603af13f5ac63e6981cfdb8e36ba8a33d5f926d8122635cf45fcff7a
+DIST man-db-2.10.2.tar.xz 1902840 BLAKE2B 8d1748503cdf66a613d7544a27b42df9436bdf4e07ccb130d2fa62343488d2c4ab791238c348236a253abddb564db9d1bb851249da9911737ff822d822819599 SHA512 5ad7a7b601aadf4d2d7cc068881fffe3d91dc85fcf4c17e66fbe6e2b04bb1c46f5ba5d4bc7f6ab3f39e00065be39061b101d3064c12b1e89f0fee61c088611bf
 DIST man-db-2.9.4.tar.xz 1909020 BLAKE2B 43427e851f0e661ca1cee55211dd7636f4ffde067c75de7715f525029b22c205728f8e86ac49abff60e47a4a4c9e1fbd78e2c87e70bd37778b88594a3897275f SHA512 169f091dd0a1d0dbd1583366f8257afb8f57e030d0f7d4213c14ce0b1fc5debf8b9cf2731de503830cb2826b3a22b3cff7da993d44ec18557935bd293529133c

diff --git a/sys-apps/man-db/man-db-2.10.2.ebuild b/sys-apps/man-db/man-db-2.10.2.ebuild
new file mode 100644
index 000000000000..10986291516d
--- /dev/null
+++ b/sys-apps/man-db/man-db-2.10.2.ebuild
@@ -0,0 +1,202 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd prefix tmpfiles
+
+DESCRIPTION="A man replacement that utilizes berkdb instead of flat files"
+HOMEPAGE="https://gitlab.com/cjwatson/man-db https://www.nongnu.org/man-db/"
+if [[ ${PV} == *9999 ]] ; then
+	inherit autotools git-r3
+	EGIT_REPO_URI="https://gitlab.com/cjwatson/man-db.git"
+else
+	# TODO: Change tarballs to gitlab too...?
+	SRC_URI="mirror://nongnu/${PN}/${P}.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="berkdb +manpager nls +seccomp selinux static-libs zlib"
+
+CDEPEND="!sys-apps/man
+	>=dev-libs/libpipeline-1.5.0
+	sys-apps/groff
+	!berkdb? ( sys-libs/gdbm:= )
+	berkdb? ( sys-libs/db:= )
+	seccomp? ( sys-libs/libseccomp )
+	zlib? ( sys-libs/zlib )"
+DEPEND="${CDEPEND}"
+BDEPEND="app-arch/xz-utils
+	virtual/pkgconfig
+	nls? (
+		>=app-text/po4a-0.45
+		sys-devel/gettext
+		virtual/libiconv
+		virtual/libintl
+	)"
+RDEPEND="${CDEPEND}
+	acct-group/man
+	acct-user/man
+	selinux? ( sec-policy/selinux-mandb )"
+PDEPEND="manpager? ( app-text/manpager )"
+
+PATCHES=(
+	"${FILESDIR}"/man-db-2.9.3-sandbox-env-tests.patch
+)
+
+src_unpack() {
+	if [[ ${PV} == *9999 ]] ; then
+		git-r3_src_unpack
+
+		# We need to mess with gnulib
+		EGIT_REPO_URI="https://git.savannah.gnu.org/r/gnulib.git" \
+		EGIT_CHECKOUT_DIR="${WORKDIR}/gnulib" \
+		git-r3_src_unpack
+	else
+		default
+	fi
+}
+
+src_prepare() {
+	default
+
+	if [[ "${PV}" == *9999 ]] ; then
+		local bootstrap_opts=(
+			--gnulib-srcdir=../gnulib
+			--no-bootstrap-sync
+			--copy
+			--no-git
+		)
+		AUTORECONF="/bin/true" \
+		LIBTOOLIZE="/bin/true" \
+		sh ./bootstrap "${bootstrap_opts[@]}" || die
+
+		eautoreconf
+	fi
+
+	hprefixify src/man_db.conf.in
+	if use prefix ; then
+		{
+			echo "#"
+			echo "# Added settings for Gentoo Prefix"
+			[[ ${CHOST} == *-darwin* ]] && \
+				echo "MANDATORY_MANPATH ${EPREFIX}/MacOSX.sdk/usr/share/man"
+			echo "MANDATORY_MANPATH /usr/share/man"
+		} >> src/man_db.conf.in
+	fi
+}
+
+src_configure() {
+	# Set sections we want to search by default
+	local sections="1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o"
+	sections+=" 1x 2x 3x 4x 5x 6x 7x 8x"
+	case ${CHOST} in
+		*-solaris*)
+			# Solaris tends to use sections named after the pkgs that
+			# owns them, in particular for libc functions we want those
+			# sections
+			local s
+			for s in $(cd /usr/share/man/ && echo man*) ; do
+				s=${s#man}
+				[[ " ${sections} " != *" ${s} "* ]] && sections+=" ${s}"
+			done
+			;;
+	esac
+
+	export ac_cv_lib_z_gzopen=$(usex zlib)
+	local myeconfargs=(
+		--with-systemdtmpfilesdir="${EPREFIX}"/usr/lib/tmpfiles.d
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+		--disable-setuid # bug #662438
+		--enable-cache-owner=man
+		--with-sections="${sections}"
+
+		$(use_enable nls)
+		$(use_enable static-libs static)
+		$(use_with seccomp libseccomp)
+
+		--with-db=$(usex berkdb db gdbm)
+	)
+
+	case ${CHOST} in
+		*-solaris*|*-darwin*)
+			myeconfargs+=(
+				$(use_with nls libiconv-prefix "${EPREFIX}"/usr)
+				$(use_with nls libintl-prefix "${EPREFIX}"/usr)
+			)
+			;;
+	esac
+
+	econf "${myeconfargs[@]}"
+
+	# Disable color output from groff so that the manpager can add it. bug #184604
+	sed -i \
+		-e '/^#DEFINE.*\<[nt]roff\>/{s:^#::;s:$: -c:}' \
+		src/man_db.conf || die
+
+	cat > 15man-db <<-EOF || die
+	SANDBOX_PREDICT="/var/cache/man"
+	EOF
+}
+
+src_install() {
+	default
+	dodoc docs/{HACKING.md,TODO}
+	find "${ED}" -type f -name "*.la" -delete || die
+
+	exeinto /etc/cron.daily
+	newexe "${FILESDIR}"/man-db.cron-r1 man-db # bug #289884
+
+	insinto /etc/sandbox.d
+	doins 15man-db
+}
+
+pkg_preinst() {
+	local cachedir="${EROOT}/var/cache/man"
+	# If the system was already exploited, and the attacker is hiding in the
+	# cachedir of the old man-db, let's wipe them out.
+	# see bug  #602588 comment 18
+	local _replacing_version=
+	local _setgid_vuln=0
+	for _replacing_version in ${REPLACING_VERSIONS} ; do
+		if ver_test '2.7.6.1-r2' -le "${_replacing_version}" ; then
+			debug-print "Skipping security bug #602588 ... existing installation (${_replacing_version}) should not be affected!"
+		else
+			_setgid_vuln=1
+			debug-print "Applying cleanup for security bug #602588"
+		fi
+	done
+	[[ ${_setgid_vuln} -eq 1 ]] && rm -rf "${cachedir}"
+
+	# Fall back to recreating the cachedir
+	if [[ ! -d ${cachedir} ]] ; then
+		mkdir -p "${cachedir}" || die
+		chown man:man "${cachedir}" || die
+	fi
+
+	# Update the whatis cache
+	if [[ -f ${cachedir}/whatis ]] ; then
+		einfo "Cleaning ${cachedir} from sys-apps/man"
+		find "${cachedir}" -type f '!' '(' -name index.bt -o -name index.db ')' -delete
+	fi
+}
+
+pkg_postinst() {
+	tmpfiles_process man-db.conf
+
+	if [[ -n "${REPLACING_VERSIONS}" ]] ; then
+		local _replacing_version=
+
+		for _replacing_version in ${REPLACING_VERSIONS} ; do
+			if [[ $(ver_cut 2 ${_replacing_version}) -lt 7 ]] ; then
+				einfo "Rebuilding man-db from scratch with new database format!"
+				su man -s /bin/sh -c 'mandb --quiet --create' 2>/dev/null
+
+				# No need to run it again if we hit one
+				break
+			fi
+		done
+	fi
+}


             reply	other threads:[~2022-03-18  6:16 UTC|newest]

Thread overview: 173+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-18  6:16 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-03 17:01 [gentoo-commits] repo/gentoo:master commit in: sys-apps/man-db/ Andreas K. Hüttel
2024-10-12 15:05 Sam James
2024-10-10 11:04 Arthur Zamarin
2024-10-09  0:06 Jakov Smolić
2024-10-05 21:47 Jakov Smolić
2024-10-05 13:58 Arthur Zamarin
2024-10-05 12:58 Arthur Zamarin
2024-10-05 11:12 Sam James
2024-08-30  7:59 Sam James
2024-06-25  6:43 Sam James
2024-06-25  6:43 Sam James
2024-06-25  4:49 Sam James
2024-06-25  4:45 Sam James
2024-06-25  4:41 Sam James
2024-06-25  4:10 Sam James
2024-06-25  4:07 Sam James
2024-05-20  6:32 Sam James
2024-04-07  6:17 Sam James
2023-11-08  8:10 Fabian Groffen
2023-11-04 10:52 Sam James
2023-09-24  6:41 Sam James
2023-04-23 19:30 Sam James
2023-03-04 18:57 Arthur Zamarin
2023-03-04  8:07 Arthur Zamarin
2023-03-04  7:17 Arthur Zamarin
2023-03-04  6:17 Arthur Zamarin
2023-03-04  6:10 Arthur Zamarin
2023-03-04  6:04 Arthur Zamarin
2023-03-04  5:58 Arthur Zamarin
2023-01-09  7:27 Sam James
2022-12-25 20:26 Arthur Zamarin
2022-12-25 20:26 Arthur Zamarin
2022-12-25 20:25 Arthur Zamarin
2022-12-25 20:23 Arthur Zamarin
2022-12-25 20:21 Arthur Zamarin
2022-12-25 20:17 Arthur Zamarin
2022-12-25 20:14 Arthur Zamarin
2022-12-25 20:11 Sam James
2022-11-18  6:23 Sam James
2022-11-15 18:43 Sam James
2022-11-15 18:43 Sam James
2022-11-15 18:39 Sam James
2022-10-16  0:31 Sam James
2022-08-04 17:55 Mike Gilbert
2022-07-29  4:17 Sam James
2022-04-18 18:22 Arthur Zamarin
2022-04-17 19:53 Jakov Smolić
2022-04-17 19:53 Jakov Smolić
2022-04-17 18:47 Arthur Zamarin
2022-04-17 18:47 Arthur Zamarin
2022-04-17 18:46 Arthur Zamarin
2022-04-17 18:43 Arthur Zamarin
2022-04-17 18:38 Arthur Zamarin
2022-04-10 15:02 David Seifert
2022-04-10 15:02 David Seifert
2022-02-11 12:51 Sam James
2022-02-11 12:51 Sam James
2022-02-11 12:51 Sam James
2022-02-07  2:27 Sam James
2021-08-20 14:18 Fabian Groffen
2021-07-31 22:17 Sam James
2021-07-31 22:17 Sam James
2021-05-14 20:34 Sergei Trofimovich
2021-05-14  9:35 Agostino Sarubbo
2021-05-13 17:53 Sam James
2021-05-13 17:00 Sam James
2021-05-13 16:55 Sam James
2021-05-13 16:24 Sam James
2021-05-13 16:18 Sam James
2021-03-26 20:42 Agostino Sarubbo
2021-02-09  9:20 Lars Wendler
2021-02-09  9:20 Lars Wendler
2021-02-05 14:19 Fabian Groffen
2021-01-21  7:40 Agostino Sarubbo
2020-12-27 19:01 Sam James
2020-12-27 11:38 Sergei Trofimovich
2020-12-27  4:09 Sam James
2020-12-26  9:13 Sergei Trofimovich
2020-12-24 22:06 Sergei Trofimovich
2020-12-24 18:38 Sergei Trofimovich
2020-09-18 10:30 Lars Wendler
2020-09-03 23:57 Sam James
2020-09-02 22:44 Sam James
2020-08-30  1:13 Sam James
2020-08-29 14:48 Thomas Deutschmann
2020-08-25 17:48 Sergei Trofimovich
2020-08-25 10:26 Sam James
2020-08-24 17:33 Sergei Trofimovich
2020-06-23  7:46 Lars Wendler
2020-06-23  7:46 Lars Wendler
2020-06-02  9:13 Lars Wendler
2020-06-02  9:13 Lars Wendler
2020-03-21  9:24 Mart Raudsepp
2020-03-15 13:08 Mikle Kolyada
2020-03-02 11:49 Sergei Trofimovich
2020-03-02 11:34 Sergei Trofimovich
2020-03-02 11:22 Sergei Trofimovich
2020-02-26 13:12 Agostino Sarubbo
2020-02-26 13:11 Agostino Sarubbo
2020-02-26 11:11 Agostino Sarubbo
2020-02-26 11:11 Agostino Sarubbo
2020-02-26 11:11 Agostino Sarubbo
2020-02-26 11:10 Agostino Sarubbo
2020-02-26  9:08 Lars Wendler
2020-02-26  9:08 Lars Wendler
2019-10-24 10:22 Lars Wendler
2019-10-24 10:22 Lars Wendler
2019-10-24 10:22 Lars Wendler
2019-08-26 20:33 Lars Wendler
2019-08-26 20:33 Lars Wendler
2019-08-05 20:33 Lars Wendler
2019-08-03 19:37 Lars Wendler
2019-08-03 19:37 Lars Wendler
2019-05-04 13:14 Mikle Kolyada
2019-04-13 14:17 Mike Gilbert
2019-04-13 14:17 Mike Gilbert
2019-01-31 23:11 Lars Wendler
2019-01-07 16:16 Michael Haubenwallner
2019-01-06 15:11 Lars Wendler
2019-01-06 15:11 Lars Wendler
2018-07-27 19:00 Lars Wendler
2018-07-27 19:00 Lars Wendler
2018-04-06  8:26 Lars Wendler
2018-04-06  8:26 Lars Wendler
2018-02-28 21:02 Lars Wendler
2018-02-09 22:18 Lars Wendler
2018-02-08 11:57 Lars Wendler
2018-01-16 21:13 Mike Frysinger
2018-01-04 10:25 Lars Wendler
2017-12-24  9:46 Mart Raudsepp
2017-04-05  6:24 Lars Wendler
2017-03-24 15:02 Tobias Klausmann
2017-03-11  4:42 Jeroen Roovers
2017-03-10 12:53 Agostino Sarubbo
2017-03-10 10:59 Agostino Sarubbo
2017-03-10  9:09 Agostino Sarubbo
2017-03-08 21:58 Michael Weber
2017-03-08 20:52 Markus Meier
2017-01-19 13:15 Mike Frysinger
2017-01-18 16:04 Lars Wendler
2017-01-17  0:05 Jeroen Roovers
2017-01-16  8:49 Tobias Klausmann
2017-01-13 16:56 Markus Meier
2017-01-11 10:35 Agostino Sarubbo
2017-01-10 14:56 Agostino Sarubbo
2016-12-15 15:53 Mike Frysinger
2016-12-12 21:22 Lars Wendler
2016-12-12 21:06 Lars Wendler
2016-12-12 21:04 Lars Wendler
2016-12-12 21:00 Lars Wendler
2016-12-12 21:00 Lars Wendler
2016-05-02 11:37 Michael Haubenwallner
2016-02-03 14:40 Tobias Klausmann
2016-01-27  7:30 Jeroen Roovers
2016-01-24  6:44 Jeroen Roovers
2016-01-23 15:32 Mikle Kolyada
2016-01-23 14:55 Markus Meier
2016-01-17 20:17 Mike Frysinger
2016-01-17 20:17 Mike Frysinger
2015-11-07 19:39 Lars Wendler
2015-11-07 19:39 Lars Wendler
2015-10-14 20:59 Lars Wendler
2015-10-14 20:59 Lars Wendler
2015-09-24  7:59 Agostino Sarubbo
2015-09-10 14:16 Lars Wendler
2015-09-10 14:16 Lars Wendler
2015-09-06  7:46 Markus Meier
2015-09-06  5:27 Jeroen Roovers
2015-08-30 17:02 Mikle Kolyada
2015-08-30 15:51 Tobias Klausmann
2015-08-30  3:16 Mike Frysinger
2015-08-18  5:41 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1647584169.93ba21145140b80ae1c11b1d88f603b4d610e22c.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox